package minijaja.controleurtype;

import memoire.*;

public class ControleurTypeData {
	public TableSymboles ts;
	private String portee;
	private boolean evalType;
	private String evalObj;
	
	public ControleurTypeData() {
		ts = new TableSymboles();
		portee = "";
	}
	
	public void setPortee(String portee){
		this.portee = portee;
	}
	
	public String getPortee(){
		return this.portee;
	}
	
	public void setEvalType(){
		this.evalType = true;
	}
	
	public void unsetEvalType(){
		this.evalType = false;
	}
	
	public boolean isInEvalType(){
		return evalType;
	}
	
	public void setEvalObj(String obj){
		this.evalObj = obj;
	}
	
	public String getEvalObj(){
		return this.evalObj;
	}
	
}
